New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Set low VRAM mode

PUT
/api/v1/settings/low-vram

Toggle low VRAM mode. Unloads the current TTS model if one is loaded.

Query Parameters

enabled*Enabled

Enable or disable low VRAM mode

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the setting was actually changed

needs_reload*Needs Reload

Whether the TTS model needs to be reloaded

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/low-vram?enabled=true'
Example Response
{  "success": true,  "changed": true,  "needs_reload": true}